<template>
  <div class="login-page">
  <div class="form">
    <form @submit.prevent="onSubmit" class="register-form">
      <input v-model="userForm.usuario" type="text" placeholder="Usuario" required/>
      <input v-model="userForm.pass" type="password" placeholder="Contraseña" required/>
      <input v-model="userForm.correo" type="text" placeholder="Correo" required/>
      <button type="submit">Crear cuenta</button>
      <router-link :to="{name: 'login'}" class="message">Ya tienes cuenta?</router-link>
    </form>
  </div>
</div>
</template>

<script>

import useUsers from "@/composables/useUsers";
import { ref } from 'vue';
import { useRouter } from 'vue-router';
import Swal from 'sweetalert2';

export default {
  setup(){

    const { RegisterUser } = useUsers( )
    const router = useRouter()

    const userForm = ref({
      usuario: '',
      pass: '',
      correo: ''
    })

    return{
      userForm,
      onSubmit: async() => {

        const { code, data } =  await RegisterUser(userForm.value)
        
        if(code === '200') router.push({name: 'home'})
        else Swal.fire('Error', 'Error en registro', 'error')

      }
    }
  }
}
</script>

<style scoped>
    @import url('../css/login.css');
</style>